> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /billing/invoice/:id

> Fetches a specific invoice



## OpenAPI

````yaml /openapi.json get /v1/billing/invoice/{id}
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/billing/invoice/{id}:
    get:
      tags:
        - Billing/Invoice
        - public
      summary: /billing/invoice/:id
      description: Fetches a specific invoice
      parameters:
        - name: id
          in: path
          description: Invoice ID
          required: true
          example: 9
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      id:
                        type: integer
                      organisation_id:
                        type: integer
                      liable_org:
                        type: integer
                        nullable: true
                      user_id:
                        type: integer
                        nullable: true
                      type:
                        type: string
                        nullable: true
                      status:
                        type: string
                      date_generated:
                        type: string
                      date_due:
                        type: string
                      date_start:
                        type: string
                      date_end:
                        type: string
                      base_amount:
                        type: number
                      base_sub_amount:
                        type: number
                      base_currency:
                        type: string
                      target_amount:
                        type: number
                        nullable: true
                      target_currency:
                        type: string
                      target_rate:
                        type: number
                        nullable: true
                      tax:
                        type: integer
                      tax_id:
                        type: string
                        nullable: true
                      notes:
                        type: string
                        nullable: true
                      name:
                        type: string
                      org_name:
                        type: string
                      country:
                        type: string
                        nullable: true
                      gcm:
                        type: integer
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                            title:
                              type: string
                            description:
                              type: string
                            quantity:
                              type: integer
                            amount:
                              type: number
                            chargeable:
                              type: boolean
                    required:
                      - id
                      - organisation_id
                      - liable_org
                      - user_id
                      - type
                      - status
                      - date_generated
                      - date_due
                      - date_start
                      - date_end
                      - base_amount
                      - base_sub_amount
                      - base_currency
                      - target_amount
                      - target_currency
                      - target_rate
                      - tax
                      - tax_id
                      - notes
                      - name
                      - org_name
                      - country
                      - gcm
                      - items
                  success:
                    type: boolean
                required:
                  - result
                  - success
              example:
                result:
                  id: 3667
                  organisation_id: 3
                  liable_org: null
                  user_id: null
                  type: null
                  status: GENERATED
                  date_generated: '2025-11-01 06:30:01'
                  date_due: '2025-11-30 00:00:00'
                  date_start: '2025-10-01'
                  date_end: '2025-10-31'
                  base_amount: 72502.07
                  base_sub_amount: 72502.07
                  base_currency: GBP
                  target_amount: null
                  target_currency: GBP
                  target_rate: null
                  tax: 0
                  tax_id: null
                  notes: null
                  name: DEMO
                  org_name: DEMO
                  country: null
                  gcm: 1
                  items:
                    - id: 19872
                      title: UID 18620 - example.com
                      description: 225,773,248 impressions
                      quantity: 1
                      amount: 72502.07
                      chargeable: true
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````